package com.hai.dao;

import com.hai.entity.HighFleetOilCardContactRecord;
import com.hai.entity.HighFleetOilCardContactRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighFleetOilCardContactRecordMapper extends HighFleetOilCardContactRecordMapperExt {
    @SelectProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="countByExample")
    long countByExample(HighFleetOilCardContactRecordExample example);

    @DeleteProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighFleetOilCardContactRecordExample example);

    @Delete({
        "delete from high_fleet_oil_card_contact_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_fleet_oil_card_contact_record (fleet_oil_card_id, fleet_oil_card_no, ",
        "content, `status`, ",
        "create_time, op_user_id, ",
        "op_user_name, ext_1, ",
        "ext_2, ext_3)",
        "values (#{fleetOilCardId,jdbcType=BIGINT}, #{fleetOilCardNo,jdbcType=VARCHAR}, ",
        "#{content,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{opUserId,jdbcType=BIGINT}, ",
        "#{opUserName,jdbcType=VARCHAR}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighFleetOilCardContactRecord record);

    @InsertProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighFleetOilCardContactRecord record);

    @SelectProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="fleet_oil_card_id", property="fleetOilCardId", jdbcType=JdbcType.BIGINT),
        @Result(column="fleet_oil_card_no", property="fleetOilCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="content", property="content", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighFleetOilCardContactRecord> selectByExample(HighFleetOilCardContactRecordExample example);

    @Select({
        "select",
        "id, fleet_oil_card_id, fleet_oil_card_no, content, `status`, create_time, op_user_id, ",
        "op_user_name, ext_1, ext_2, ext_3",
        "from high_fleet_oil_card_contact_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="fleet_oil_card_id", property="fleetOilCardId", jdbcType=JdbcType.BIGINT),
        @Result(column="fleet_oil_card_no", property="fleetOilCardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="content", property="content", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighFleetOilCardContactRecord selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighFleetOilCardContactRecord record, @Param("example") HighFleetOilCardContactRecordExample example);

    @UpdateProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighFleetOilCardContactRecord record, @Param("example") HighFleetOilCardContactRecordExample example);

    @UpdateProvider(type=HighFleetOilCardContactRecordSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighFleetOilCardContactRecord record);

    @Update({
        "update high_fleet_oil_card_contact_record",
        "set fleet_oil_card_id = #{fleetOilCardId,jdbcType=BIGINT},",
          "fleet_oil_card_no = #{fleetOilCardNo,jdbcType=VARCHAR},",
          "content = #{content,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "op_user_id = #{opUserId,jdbcType=BIGINT},",
          "op_user_name = #{opUserName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighFleetOilCardContactRecord record);
}